package com.liang.service;

import com.liang.entity.PrjProjectrole;
import org.springframework.data.domain.Page;
import org.springframework.data.domain.PageRequest;

import java.util.List;
import java.util.Map;

/**
 * 项目角色(PrjProjectrole)表服务接口
 *
 * @author makejava
 * @since 2023-03-28 17:50:27
 */
public interface PrjProjectroleService {

    /**
     * 通过ID查询单条数据
     *
     * @param id 主键
     * @return 实例对象
     */
    PrjProjectrole queryById(Integer id);

    /**
     * 分页查询
     *
     * @param prjProjectrole 筛选条件
     * @param pageRequest    分页对象
     * @return 查询结果
     */
    Page<PrjProjectrole> queryByPage(PrjProjectrole prjProjectrole, PageRequest pageRequest);

    /**
     * 新增数据
     *
     * @param prjProjectrole 实例对象
     * @return 实例对象
     */
    PrjProjectrole insert(PrjProjectrole prjProjectrole);

    /**
     * 修改数据
     *
     * @param prjProjectrole 实例对象
     * @return 实例对象
     */
    PrjProjectrole update(PrjProjectrole prjProjectrole);

    /**
     * 通过主键删除数据
     *
     * @param id 主键
     * @return 是否成功
     */
    boolean deleteById(Integer id);

    /**
     * 获取项目角色
     *
     * @return
     */
    List<Map<String, String>> getProjectRole();
}
